Overview | Modules | Class Hierarchy | Classes | Members
# tlp::LayoutAlgorithm Class Reference [Plugins] `#include <LayoutAlgorithm.h>` Inherits tlp::PropertyAlgorithm. Inheritance diagram for tlp::LayoutAlgorithm: [legend] Collaboration diagram for tlp::LayoutAlgorithm: [legend] List of all members. ## Detailed Description Interface for layout plug-ins. ## Public Member Functions virtual ~LayoutAlgorithm () ## Public Attributes LayoutProperty * layoutResult ## Protected Member Functions LayoutAlgorithm (const PropertyContext &context) ## Friends class LayoutProperty ## Constructor & Destructor Documentation
virtual tlp::LayoutAlgorithm::~LayoutAlgorithm | ( |  | ) | `[virtual]`
tlp::LayoutAlgorithm::LayoutAlgorithm | ( | const PropertyContext & | context | ) | `[protected]`
## Friends And Related Function Documentation
friend class LayoutProperty`[friend]`
## Member Data Documentation
LayoutProperty* tlp::LayoutAlgorithm::layoutResult
| This layout is the one associated to the plug-ins, The data should be store in it

Tulip Software by LaBRI Visualization Team 2001 - 2010